Do you need iTunes 7.6 to upgrade to iPhone 1.1.3?

itunes-logo.png

It looks like you may need iTunes 7.6 to complete your upgrade to the latest version of the iPhone software. I’ve gotten several reports that people are unable to complete the upgrade, and are getting a variety of errors because they have not upgraded to iTunes 7.6.

If you’re trying to upgrade an having problems – make sure you’re running iTunes 7.6 before you install the software.

Comments

  1. Shawn @ Street Sports says:

    I was able to upgrade my iPhone before I left work to 1.1.3 at around 8:15PM EST last night and didn’t update my MacBook Pro 17″ to the iTunes (and some other updates) until around midnight.

  2. Richard M. says:

    I upgraded my iPhone before I updated iTunes on my Win XP PC.

Speak Your Mind

*